<?php
/**********************************************
リクエストURLの生成
************************************************/
//カレント言語を日本語に指定
mb_language("Japanese");

//PHP内部のエンコーディングを'UTF-8'に指定
mb_internal_encoding ("utf-8");

//一般設定
$API_NAME = "楽天商品検索API (version:2014-02-22)";

//リクエストURLの各値の設定
$base = 'https://app.rakuten.co.jp/services/api/IchibaItem/Search/20140222?';
$form = 'format=xml';
$word = $_GET['keyword'];
$keyword = '&keyword='.urlencode($word);
$carrier ='&carrier=0'; //pc:0 mobile:1
$minPrice = '&minPrice='.$_GET['minPrice'];
$maxPrice = '&maxPrice='.$_GET['maxPrice'];
$genreId = '&genreId='.$_GET['genreId'];
$affiliateId = '&affiliateId=●あなたのaffiliateId●';
$page = '&page='.$_GET['page'];
$applicationId = '&applicationId=●あなたのapplicationId●';

if($word != ''){
	//リクエストURLの作成($baseと$formは位置を変えないこと)
	$RequstURL = $base.$form.$keyword.$carrier.$minPrice.$maxPrice.$genreId.$affiliateId.$page.$applicationId;

	//リクエストの結果を取得する
	$data = file_get_contents($RequstURL);

	//XMLデータをオブジェクト化する
	$xml = simplexml_load_string($data);

	$page = $xml->page; //ページ番号を格納
}

header("Content-type:text/html;charset=UTF-8");
?>
<html lang="ja">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title><?=$API_NAME?>／楽天ウェブサービス</title>
</head>
<body bgcolor="#ffffff" TEXT="#333333" LINK="#3333cc">

<!-- タイトル -->
<h1 style="font-size:16px;font-weight:bold;">楽天ウェブサービス</h1><hr size="1" noshade><?=$API_NAME?><hr size="1" noshade>
<!--/タイトル -->

<!-- HTMLフォーム表示 -->
<!-- <form action="item_search.php" method="post">ファイル名依存を修正 -->	
<!-- PHPで自己のファイル名を自動取得するようにした -->	
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="get">
<table width="60%" border="0" cellspacing="0" cellpadding="0" style="margin: 5px 0pt 0pt 0px;">
<tr><td bgcolor="#afafaf">
<table width="100%" border=0 cellspacing=1 cellpadding=5 style="font-size:12px;">
<tr><td style="background-color: #eeeeee;">検索キーワード</td><td style="background-color: #ffffff;">
<!-- キーワード入力テキストボックス --><input type="text" name="keyword" value="<?=$_GET['keyword']?>" size="30">
</td></tr>
<tr><td style="background-color: #eeeeee;">価格</td><td style="background-color: #ffffff;">
<!-- 最小価格入力テキストボックス -->
<input type="text" name="minPrice" value="<?=$_GET['minPrice']?>" size="15"> 円
～
<!-- 最上価格入力テキストボックス -->
<input type="text" name="maxPrice" value="<?=$_GET['maxPrice']?>" size="15"> 円
</td></tr>
</table>
</td></tr></table><br>
<input type="submit" name="submit" value="商品検索">
</form>
<!-- HTMLフォーム表示 -->

<!-- API検索結果表示 -->
<font style="font-size:14px;">
<?php if($xml->count > 0){       ?>取得件数: <?=$xml->count?><br>
<table width="60%" border="0" cellspacing="0" cellpadding="0" style="margin: 5px 0pt 0pt 0px;">
<tr><td bgcolor="#afafaf">
<table width="100%" border=0 cellspacing=1 cellpadding=5 style="font-size:12px;">
<tr align="center" style="background-color: #eeeeee;">
<td width="8%" >写真</td>
<td width="47%">商品名</td>
<td width="15%">価格</td>
<td width="30%">ショップ名</td>
</tr>
<?php foreach ($xml->Items->Item as $item){ ?>
<?php
	  $itemUrl = $item->itemUrl;
//	  $shopUrl = $item->shopAffiliateUrl;  //ショップアフィリURLにしたい場合こちら
	  $shopUrl = $item->shopUrl;		   //ショップ直URL
	  $shopName = $item->shopName;
      $itemName = $item->itemName;
      $itemPrice = $item->itemPrice;
      $itemCaption = $item->itemCaption;
      $affiliateUrl = $item->affiliateUrl;
      $imageUrl = $item->mediumImageUrls->imageUrl;
	  $reviewCount = $item->reviewCount;
	  $reviewAverage = $item->reviewAverage;
	  $catchcopy = $item->catchcopy;
?>
<tr style="background-color: #ffffff;">
<td width="8%"  align="center"><a href="<?=$itemUrl?>" target="_top"><img src="<?=$imageUrl?>" border=0></a></td>
<td width="47%" align="left"><a href="<?=$affiliateUrl?>" target="_top"><font size="-1"><?=$itemName?></font></a></td>
<td width="15%" align="right" nowrap> <?=$itemPrice?> 円</td>
<td width="47%" align="left"><a href="<?=$shopUrl?>" target="_top"><font size="-1"><?=$shopName?></font></a></td>
</tr>
<?php } ?>
</table>
</td></tr></table>
<?php } ?>
</font>
<!-- /API検索結果表示 -->

<div align="center">
<!-- 次のリンクは楽天の規約上残した方が無難と思われます -->
<a href="http://webservice.rakuten.co.jp/" target="_blank">Supported by 楽天ウェブサービス</a><br>
<!-- 有効な改造をされた場合には、ご提供くださいますと嬉しいです -->
Modified by ノテータ式－ホームペジ作成講座
</div>
</body>
</html>
